Ask Kevin is smarter.
OmniDimension
Providers

List STT providers

Retrieve all Speech-to-Text providers.

GET/providers/stt
No parameters needed for GET /providers/stt. Press Run.
curl -X GET 'https://backend.omnidim.io/api/v1/providers/stt' \
  -H 'Authorization: Bearer YOUR_API_KEY'
Example response
{
  "stt": [
    {
      "id": 2,
      "name": "deepgram_stream",
      "provider_name": false,
      "is_premium": false,
      "service_type": "STT",
      "is_active": true
    },
    {
      "id": 5,
      "name": "Azure",
      "provider_name": false,
      "is_premium": false,
      "service_type": "STT",
      "is_active": true
    }
  ],
  "total": 4
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Response Body

application/json